Package be.fgov.ehealth.commons.enc.v2

# Class EncryptedDataType

java.lang.Object
be.fgov.ehealth.commons.enc.v2.EncryptedDataType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:23+02:00", comments="JAXB RI v4.0.5") public class EncryptedDataType extends Object implements Serializable
Contains encrypted data type to send an encrypted message

Java class for EncryptedDataType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="EncryptedDataType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{urn:be:fgov:ehealth:commons:enc:v2}CipherData"/>
           </sequence>
           <attribute name="Id" type="{http://www.w3.org/2001/XMLSchema}ID" />
           <attribute name="MimeType" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="ContentType" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EncryptedDataType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CipherData`
  `getCipherData()`
  Contains the encrypted content
  `String`
  `getContentType()`
  Functional content (e.g.
  `String`
  `getId()`
  Unique identifier of a message
  `String`
  `getMimeType()`
  Format of the sealed content (e.g.
  `void`
  `setCipherData(CipherData value)`
  Sets the value of the cipherData property.
  `void`
  `setContentType(String value)`
  Sets the value of the contentType property.
  `void`
  `setId(String value)`
  Sets the value of the id property.
  `void`
  `setMimeType(String value)`
  Sets the value of the mimeType property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EncryptedDataType

    public EncryptedDataType()

- ## Method Details

  - ### getCipherData

    public CipherData getCipherData()
    Contains the encrypted content
    Returns:
      possible object is `CipherData`

  - ### setCipherData

    public void setCipherData(CipherData value)
    Sets the value of the cipherData property.
    Parameters:
      `value` - allowed object is `CipherData`
    See Also:
      - `getCipherData()`

  - ### getId

    public String getId()
    Unique identifier of a message
    Returns:
      possible object is `String`

  - ### setId

    public void setId(String value)
    Sets the value of the id property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getId()`

  - ### getMimeType

    public String getMimeType()
    Format of the sealed content (e.g. application/pkcs7,...)
    Returns:
      possible object is `String`

  - ### setMimeType

    public void setMimeType(String value)
    Sets the value of the mimeType property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getMimeType()`

  - ### getContentType

    public String getContentType()
    Functional content (e.g. kmerh,ssin,...)
    Returns:
      possible object is `String`

  - ### setContentType

    public void setContentType(String value)
    Sets the value of the contentType property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getContentType()`